std::greater_equal(3)

NAME
std::greater_equal - std::greater_equal

Synopsis
   Defined in header <functional>
   template< class T > (until C++14)
   struct greater_equal;
   template< class T = void > (since C++14)
   struct greater_equal;
   Function object for performing comparisons. The main template invokes operator>= on
   type T.

Specializations
   greater_equal<void> function object implementing x >= y deducing parameter and
   (C++14) return types
                       (class template specialization)

Member types
   Type Definition
   result_type (deprecated in C++17)(removed in C++20) bool
   first_argument_type (deprecated in C++17)(removed in C++20) T
   second_argument_type (deprecated in C++17)(removed in C++20) T
   These member types are obtained via publicly inheriting (until C++11)
   std::binary_function<T, T, bool>.

Member functions
   operator() checks if the first argument is greater than or equal to the second
              (public member function) std::greater_equal::operator()
   bool operator()( const T& lhs, const T& rhs ) const; (until C++14)
   constexpr bool operator()( const T& lhs, const T& rhs ) const; (since C++14)
   Checks whether lhs is greater than or equal to rhs.

Parameters
   lhs, rhs - values to compare

Return value
   lhs >= rhs.
   If T is a pointer type, the result is consistent with the implementation-defined
   strict total order over pointers.

Exceptions
   May throw implementation-defined exceptions.

Possible implementation
   constexpr bool operator()(const T& lhs, const T& rhs) const
   {
       return lhs >= rhs; // assumes that the implementation handles pointer total order
   }
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2562 C++98 the pointer total order might be guaranteed to be consistent
                       inconsistent

See also
   less function object implementing x < y
                        (class template)
   ranges::greater_equal constrained function object implementing x >= y
   (C++20) (class)